# _ClockMonotonic
<span class="source-link">[[Source]](src/time/time.md#L28)</span>
```pony
primitive val _ClockMonotonic
```

## Constructors

### create
<span class="source-link">[[Source]](src/time/time.md#L28)</span>


```pony
new val create()
: _ClockMonotonic val^
```

#### Returns

* [_ClockMonotonic](time-_ClockMonotonic) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/time/time.md#L29)</span>


```pony
fun box apply()
: U32 val
```

#### Returns

* [U32](builtin-U32) val

---

### eq
<span class="source-link">[[Source]](src/time/time.md#L29)</span>


```pony
fun box eq(
  that: _ClockMonotonic val)
: Bool val
```
#### Parameters

*   that: [_ClockMonotonic](time-_ClockMonotonic) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/time/time.md#L29)</span>


```pony
fun box ne(
  that: _ClockMonotonic val)
: Bool val
```
#### Parameters

*   that: [_ClockMonotonic](time-_ClockMonotonic) val

#### Returns

* [Bool](builtin-Bool) val

---

